Alokai

SapccApiGetPageRequest

Request parameters for getPage operation in SapccApi. SapccApiGetPageRequest

interface SapccApiGetPageRequest {
	readonly baseSiteId: string;
	readonly code?: string;
	readonly fields?: GetPageFieldsEnum;
	readonly pageId?: string;
	readonly pageLabel?: string;
	readonly pageLabelOrId?: string;
	readonly pageType?: GetPagePageTypeEnum;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetPage
codeOptionalstringPage code. Examples: homepage, electronics, cameras, 585. {string} SapccApiGetPage
fieldsOptionalGetPageFieldsEnumResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC, DEFAULT, FULL. {'BASIC' | 'DEFAULT' | 'FULL'} SapccApiGetPage
pageIdOptionalstringPage id. When pageId is provided, pageLabelOrId will be ignored. {string} SapccApiGetPage
pageLabelOptionalstringPage label. If no page has a label that matches the page label exactly, try to find pages whose label starts with a section of the page label. Note: URL encoding on the page label should be applied when the label contains special characters. When pageLabel is provided, pageLabelOrId will be ignored. {string} SapccApiGetPage
pageLabelOrIdOptionalstringPage Label or Id. If no page has a label that matches the page label exactly, try to find pages whose label starts with a section of the page label. Otherwise, try to find the page by id. When label and ID values can match, passing in the pageId parameter may result in obtaining variation pages with the same pageLabel but different pageId. Therefore, it is advisable to use both the pageId and pageLabel parameters to ensure accuracy.Note: URL encoding on the page label should be applied when the label contains special characters. {string} SapccApiGetPage
pageTypeOptionalGetPagePageTypeEnumPage type {'ContentPage' | 'ProductPage' | 'CategoryPage' | 'CatalogPage'} SapccApiGetPage

Referenced Types

On this page